#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,q;
    scanf("%d",&n);
    int a[n];
    vector<int> v;
    for (int i=0;i<n;i++){
        scanf("%d",&a[i]);
        if (a[i]<a[i-1]){
            v.push_back(i);
        }
    }
    scanf("%d",&q);
    for(int i=0;i<q;i++){
        int l,r;
        scanf("%d%d",&l,&r);
        if(r-l<2){
            cout<<"DA\n";
        }else{
            int s=0;
            for (int j=0;j<v.size();j++){
                if (v[j]>=r){
                    break;
                }
                if (v[j]>=l){
                    s++;
                    if (a[v[j]+1]<a[v[j]-1] && v[j]!=l){
                        s+=2;
                        break;
                    }
                    if (s>1){
                        break;
                    }
                }
            }
            if (s>1){
                cout<<"NE";
            }else{
                cout<<"DA";
            }
        }
    }
}